org.eclipse.oomph.resources.backend

## Class BackendSystem.IFactory.Registry

- java.lang.Object
- - org.eclipse.oomph.resources.backend.BackendSystem.IFactory.Registry

- Enclosing interface:
    BackendSystem.IFactory

      public static final class BackendSystem.IFactory.Registry
      extends Object

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BackendSystem.IFactory.Registry` | `INSTANCE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackendSystem.IFactory` | `addFactory(String scheme, BackendSystem.IFactory factory)`
    `BackendSystem.IFactory` | `getFactory(String scheme)`
    `Set<String>` | `removeFactory(BackendSystem.IFactory factory)`
    `BackendSystem.IFactory` | `removeFactory(String scheme)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final BackendSystem.IFactory.Registry INSTANCE

  - ### Method Detail

    - #### getFactory

          public BackendSystem.IFactory getFactory(String scheme)
                                            throws BackendException

      Throws:
        `BackendException`

    - #### addFactory

          public BackendSystem.IFactory addFactory(String scheme,
                                          BackendSystem.IFactory factory)
                                            throws BackendException

      Throws:
        `BackendException`

    - #### removeFactory

          public BackendSystem.IFactory removeFactory(String scheme)
                                               throws BackendException

      Throws:
        `BackendException`

    - #### removeFactory

          public Set<String> removeFactory(BackendSystem.IFactory factory)
                                    throws BackendException

      Throws:
        `BackendException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html